io.vertx.ext.web.handler.graphql.dataloader

## Interface VertxMappedBatchLoader<K,V>

- All Superinterfaces:
    org.dataloader.MappedBatchLoaderWithContext<K,V>

  Deprecated.
  use `Future.toCompletionStage()` with a plain `MappedBatchLoaderWithContext`

      @Deprecated
      public interface VertxMappedBatchLoader<K,V>
      extends org.dataloader.MappedBatchLoaderWithContext<K,V>

  A `MappedBatchLoaderWithContext` that works well with Vert.x callback and `Future` based APIs.
  Author:
    Craig Day

- - ### Method Summary

    All Methods Static Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V> VertxMappedBatchLoader<K,V>` | `create(java.util.function.BiFunction<Set<K>,org.dataloader.BatchLoaderEnvironment,Future<Map<K,V>>> batchLoader)` Deprecated. Create a new batch loader that works well with `Future` based APIs.
    `static <K,V> VertxMappedBatchLoader<K,V>` | `create(java.util.function.BiFunction<Set<K>,org.dataloader.BatchLoaderEnvironment,Future<Map<K,V>>> batchLoader, java.util.function.Function<org.dataloader.BatchLoaderEnvironment,Context> contextProvider)` Deprecated. Like `create(BiFunction)`, except the method uses the provided `contextProvider` instead of capturing the current one.
    `static <K,V> VertxMappedBatchLoader<K,V>` | `create(TriConsumer<Set<K>,org.dataloader.BatchLoaderEnvironment,Promise<Map<K,V>>> batchLoader)` Deprecated. Create a new batch loader that works well with callback based APIs.
    `static <K,V> VertxMappedBatchLoader<K,V>` | `create(TriConsumer<Set<K>,org.dataloader.BatchLoaderEnvironment,Promise<Map<K,V>>> batchLoader, java.util.function.Function<org.dataloader.BatchLoaderEnvironment,Context> contextProvider)` Deprecated. Like `create(TriConsumer)`, except the method uses the provided `contextProvider` instead of capturing the current one.

    - ### Methods inherited from interface org.dataloader.MappedBatchLoaderWithContext

      `load`

- - ### Method Detail

    - #### create

          static <K,V> VertxMappedBatchLoader<K,V> create(TriConsumer<Set<K>,org.dataloader.BatchLoaderEnvironment,Promise<Map<K,V>>> batchLoader)

      Deprecated.
      Create a new batch loader that works well with callback based APIs.

      The provided `batchLoader` will be invoked with the following arguments:

      - the keys for the data objects that should be loaded
      - the `BatchLoaderEnvironment`
      - a `Promise` that the implementor must complete after the data objects are loaded

    - #### create

          static <K,V> VertxMappedBatchLoader<K,V> create(TriConsumer<Set<K>,org.dataloader.BatchLoaderEnvironment,Promise<Map<K,V>>> batchLoader,
                                                          java.util.function.Function<org.dataloader.BatchLoaderEnvironment,Context> contextProvider)

      Deprecated.
      Like `create(TriConsumer)`, except the method uses the provided `contextProvider` instead of capturing the current one.

    - #### create

          static <K,V> VertxMappedBatchLoader<K,V> create(java.util.function.BiFunction<Set<K>,org.dataloader.BatchLoaderEnvironment,Future<Map<K,V>>> batchLoader)

      Deprecated.
      Create a new batch loader that works well with `Future` based APIs.

      The provided `batchLoader` will be invoked with the following arguments:

      - the keys for the data objects that should be loaded
      - the `BatchLoaderEnvironment`

    - #### create

          static <K,V> VertxMappedBatchLoader<K,V> create(java.util.function.BiFunction<Set<K>,org.dataloader.BatchLoaderEnvironment,Future<Map<K,V>>> batchLoader,
                                                          java.util.function.Function<org.dataloader.BatchLoaderEnvironment,Context> contextProvider)

      Deprecated.
      Like `create(BiFunction)`, except the method uses the provided `contextProvider` instead of capturing the current one.

Copyright © 2024 Eclipse. All rights reserved.